Bug 1022908 - Review Request: jline1 - Java library for reading and editing user input in console applications
Review Request: jline1 - Java library for reading and editing user input in c...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Stanislav Ochotnicky
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1022909 1022965 1022969 1022971
  Show dependency treegraph
 
Reported: 2013-10-24 05:11 EDT by Marek Goldmann
Modified: 2013-10-29 08:01 EDT (History)
4 users (show)

See Also:
Fixed In Version: jline1-1.0-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-25 05:48:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sochotni: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Goldmann 2013-10-24 05:11:49 EDT
Spec URL: http://goldmann.fedorapeople.org/package_review/jline1/1/jline1.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/jline1/1/jline1-1.0-6.fc20.src.rpm
Fedora Account System Username: goldmann

Description:

JLine is a java library for reading and editing user input in console
applications. It features tab-completion, command history, password
masking, configurable key-bindings, and pass-through handlers to use to
chain to other console applications.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6093056
Comment 1 Stanislav Ochotnicky 2013-10-24 05:15:28 EDT
taking the review. For anyone looking at this review: This is a compat package so that we can get rid of jline2 package
Comment 2 Stanislav Ochotnicky 2013-10-24 06:11:32 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Few items:
    - Maybe we could trim the changelog...it's a new package after all (and
      there's one bogus date :-))
    - java requires missing (this is an xmvn bug actually: 1022939)


The package is basically good to go, but either wait for XMvn fix for java requires or add it manually for now

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 32 files have unknown license. Detailed output of
     licensecheck in /tmp/1022908-jline1/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
Note: compat package name

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).

Provides are OK for compat package
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[-]: Latest version is packaged.
Nope, but this is a compat package so that's expected
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise justified.

Single patch is not upstreamable which is clear once I looked into it

[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.

Tests are being run by maven during build

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: jline1-1.0-6.fc21.noarch.rpm
          jline1-javadoc-1.0-6.fc21.noarch.rpm
          jline1-1.0-6.fc21.src.rpm
jline1.noarch: W: spelling-error %description -l en_US JLine -> J Line, Line, Aline
jline1.src: W: spelling-error %description -l en_US JLine -> J Line, Line, Aline
jline1.src: E: specfile-error warning: bogus date in %changelog: Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:0.8.1-2jpp
3 packages and 0 specfiles checked; 1 errors, 2 warnings.


Requires
--------
jline1 (rpmlib, GLIBC filtered):
    bash
    coreutils
    jpackage-utils

jline1-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils



Provides
--------
jline1:
    jline1
    mvn(jline:jline:1)
    mvn(jline:jline:1.0)
    osgi(jline)

jline1-javadoc:
    jline1-javadoc



Source checksums
----------------
http://download.sourceforge.net/sourceforge/jline/jline-1.0.zip :
  CHECKSUM(SHA256) this package     : 761458d1541a44e678b3847917116a90001cf5cd22287c24c55dcf2c69ec73ca
  CHECKSUM(SHA256) upstream package : 761458d1541a44e678b3847917116a90001cf5cd22287c24c55dcf2c69ec73ca


Generated by fedora-review 0.5.0 (920221d) last change: 2013-08-30
Command line :/bin/fedora-review -b 1022908
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, SugarActivity, Perl, R, PHP, Ruby
Disabled flags: EPEL5, EXARCH, DISTTAG
Comment 3 Marek Goldmann 2013-10-24 06:24:17 EDT
New Package SCM Request
=======================
Package Name: jline1
Short Description: Java library for reading and editing user input in console applications
Owners: goldmann
Branches: f20
Comment 4 Gwyn Ciesla 2013-10-24 08:02:55 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.